## utils.recipe_locker module

A module to prevent recipes from being unlocked by research.

Accessed via the public functions.

### Dependencies

utils.event
utils.global

### Functions

Public.lock_recipes(tbl) | Locks recipes, preventing them from being enabled by research.
Public.unlock_recipes(tbl) | Unlocks recipes, allowing them to be enabled by research.

### Dependencies

# utils.event
# utils.global

### Functions

# Public.lock_recipes(tbl)

  Locks recipes, preventing them from being enabled by research.

  Does not check if they should be enabled/disabled by existing research.

  Parameters:
  - tbl :

    an array of recipe strings

# Public.unlock_recipes(tbl)

  Unlocks recipes, allowing them to be enabled by research.

  Does not check if they should be enabled/disabled by existing research.

  Parameters:
  - tbl :

    an array of recipe strings